curl --request GET \
--url https://api-sandbox.synctera.com/v0/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customers": [
{
"status": "ACTIVE",
"vendor_info": {
"vendor_data": {
"loanpro": {
"customer_id": 12345
}
},
"vendor_type": "LOANPRO"
},
"addresses": [
{
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}
],
"ban_status": "ALLOWED",
"classifications": [
"AUTHORIZED_USER"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"email": "alice@example.com",
"has_accounts": true,
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"kyc_exempt": true,
"kyc_last_run": "2010-05-06T12:23:34.321Z",
"kyc_status": "ACCEPTED",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"legal_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"metadata": {},
"middle_name": "Anne",
"phone_number": "+14374570680",
"related_customers": [
{
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_role": "CUSTODIAN"
}
],
"shipping_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"ssn": "123-45-6789",
"ssn_source": "MANUAL",
"tenant": "abcdef_ghijkl",
"dob": "2000-01-01",
"first_name": "Jane",
"last_name": "Smith"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List Customers
Retrieves paginated list of Customers associated with the authorized requester
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter on resources that have an account(s)
Only return resources where the last 4 characters of the SSN match the specified value.
4"6789"
Only return resources where the last_name field matches the specified string. Any * characters in the string are wildcards, and match any characters.
"Smith"
Only return resources where the email field matches the specified string. Any * characters in the string are wildcards, and match any characters.
"john.doe@example.com"
Only return resources where the first_name or chosen_name field matches the specified string. Any * characters in the string are wildcards, and match any characters.
"Alice"
Specifies the classification of a party for banks. It can contain multiple values. Specifies the classification of a party for banks. This may contain multiple values for a combined classifications list of customers.
Specifies the classification of a party.
AUTHORIZED_USER, BANK_CUSTOMER, INACTIVE_BANK_CUSTOMER, PROSPECT Only return resources where the phone_number field matches the specified string. Phone numbers use the E.164 format e.g. +19178675309. Any * characters in the string are wildcards, and match any characters.
"+12065550100"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Unique resource identifier
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Specifies the sort order for the returned customers.
creation_time:asc, creation_time:desc, first_name:asc, first_name:desc, last_name:asc, last_name:desc, last_updated_time:asc, last_updated_time:desc Only return resources where with the specified status.
ACTIVE, DECEASED, DENIED, DORMANT, ESCHEAT, FROZEN, INACTIVE, PROSPECT, SANCTION "ACTIVE"
Response
List of customers
Was this page helpful?

